apiVersion: apps/v1
kind: Deployment
metadata:
  name: contact
  labels:
    app: contact
    version: 3.2.0
    group: namoosori-group
spec:
  replicas: 1
  selector:
    matchLabels:
      app: contact
      version: 3.2.0
      group: namoosori-group
  template:
    metadata:
      labels:
        app: contact
        version: 3.2.0
        group: namoosori-group
      annotations:
        sidecar.istio.io/inject: "true"
        kubernetes.io/maxRetriesForOnFailurePolicy: "3"
    spec:
      serviceAccountName: namoosori
      containers:
        - name: contact
          image: contact:1
          imagePullPolicy: Never
          livenessProbe:
            failureThreshold: 30
            tcpSocket:
              port: 80
            initialDelaySeconds: 10
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 3
          readinessProbe:
            failureThreshold: 30
            tcpSocket:
              port: 80
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 3
          resources:
            requests:
              cpu: "100m"
              memory: "256Mi"
            limits:
              cpu: "1.5"
              memory: "2Gi"
          ports:
            - name: http
              containerPort: 80
          volumeMounts:
            - name: timezone-config
              mountPath: /etc/localtime
      volumes:
        - name: timezone-config
          hostPath:
            path: /usr/share/zoneinfo/Asia/Seoul
  strategy:
    type: RollingUpdate
